Subject: Happy Easter / OpenACC, an alternative to CUDA - April 16-17, 2015
From: Rolf Rabenseifner <[email-masked]>
To: [email-masked]
Date: Fri, 27 Mar 2015 18:05:33 +0100 (CET)

Happy Easter / Frohe Ostern!

Dear Sir, dear Madam / Sehr geehrte Dame, sehr geehrter Herr,

Please, can you pass this OpenACC course announcement also to 
interested colleagues.  / Es waere schoen, wenn Sie diese Ankuendigung 
auch an interessierte Kollegen weitergeben koennten.

http://www.hlrs.de/training/2015/XK - further details see below.

Next emails will contain the details on the other courses on
CUDA, UPC & CAF, GASPI and visualization.

Due to Easter vacation, I extended the deadlines of these 
courses to April, 8 and 12.

Kind regards / Mit freundlichen Gruessen
Rolf Rabenseifner and Gabi Kallenberger

_________________________
List of courses in April:

Apr. 16-17: OpenACC Programming for Accelerated Supercomputers
            (includes new OpenACC 2.0)
            http://www.hlrs.de/training/2015/XK

Apr. 20-22: GPU Programming using CUDA
            http://www.hlrs.de/training/2015/CUDA1

Apr. 23-24: Introduction to Unified Parallel C (UPC) and
            Co-array Fortran (CAF) 
            (Partitioned Global Address Space (PGAS) Languages)
            http://www.hlrs.de/training/2015/UPC1

Apr. 27:    Efficient Parallel Programming with GASPI
            (A PGAS library with latency optimization)
            http://www.hlrs.de/training/2015/GASPI

Apr. 28-29: Scientific Visualization
            http://www.hlrs.de/training/2015/VIS1

======================================================================
                      Call for Participation
======================================================================
Dear HPC-user,

OpenACC is an open standard, as simple as OpenMP, but with
a performance opportunity similar to CUDA, and also available
on other hardware systems.

I hope to awaken your interest in this emerging technology
in the area of High Performance Computing (HPC).
Specialists from Cray, Aniello Esposito, Stefan Andersson,
Michael Neff, and Mandes Schoenherr will teach this course
and assist you in the hands-on sessions.

  OpenACC Programming for Parallel Accelerated Supercomputers -- 
          an alternative to CUDA from Cray perspective. 
                      April 16-17, 2015
             at HLRS, Allmandring 30, Seminar room.

Abstract:
Attendees will learn about the directive-based OpenACC
programming model ( http://www.openacc-standard.org ),
whose multi-vendor support allows users to portably develop
applications for parallel accelerated supercomputers.
The workshop will also demonstrate how to use the
Cray Programming Environment tools to identify CPU
application bottlenecks, facilitate the OpenACC porting,
provide accelerated performance feedback and to tune the
ported applications.
The Cray scientific libraries for accelerators will be presented,
and interoperability of OpenACC directives with these and
with CUDA will be demonstrated. Through application case
studies and tutorials, users will gain direct experience
of using OpenACC directives in realistic applications.
An outlook to OpenMP-4.0 accelerator support will be added.
Users may also bring their own codes to discuss with
Cray specialists or begin porting.
 
Further information on this course and registration 
 
- for public research within Europe, please see
    http://events.prace-ri.eu/event/HLRS-2015-XK
 
- otherwise (non-Europe or non-academic)
    http://www.hlrs.de/training/2015/XK
 
(You may have to accept an unofficial certificate before you can 
 view the course page - my apologies for this)

We will provide local systems with test accounts for the participants.

Extended deadline for registration is already April 8, 2015.

This course is a PRACE Advanced Training Centre (PATC) course at HLRS.
The course language is English. 

I hope, we can see you in Stuttgart,
best regards
Rolf Rabenseifner

PS: 
  Information on further courses:
  - by HLRS: 
  http://www.hlrs.de/training/course-list
  - by the Gauss Centre of Supercomputing (GCS):
  http://www.gauss-centre.eu/training
  - by the PRACE Advanced Training Centres (PATCs)
  http://www.training.prace-ri.eu/

---------------------------------------------------------------------
I would appreciate if you could forward this email to interested
colleagues.  If you receive double postings or you want to stop
these postings, then please reply the email-address(es) that
should be unsubscribed, and include "unsubscribe" in the subject line.
---------------------------------------------------------------------

---------------------------------------------------------------------
Dr. Rolf Rabenseifner .. . . . . . . . . . email [email-masked]
Gabi Kallenberger .. . . . . . . . . . . . email [email-masked]
High Performance Computing Center (HLRS) . phone ++49(0)711/685-65530
University of Stuttgart .. . . . . . . . . fax : ++49(0)711/685-65832
Head of Dpmt Parallel Computing .. .. www.hlrs.de/people/rabenseifner
Nobelstr. 19, D-70569 Stuttgart, Germany . . (Course: Allmandring 30)
---------------------------------------------------------------------